Next Commerce
API ReferenceOrders

Orders Notes Create

Create an order note in an existing order.

POST
/orders/{number}/notes/

Authorization

oauth2 orders:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: orders:write

Path Parameters

number*string

Header Parameters

X-29next-API-Version*string
Default"2024-04-01"
Value in"2024-04-01"
message*string

Response Body

application/json

curl -X POST "https://example.29next.store/api/admin/orders/string/notes/" \  -H "X-29next-API-Version: 2024-04-01" \  -H "Content-Type: application/json" \  -d '{    "message": "string"  }'
{
  "app": {
    "client_id": "string",
    "name": "string"
  },
  "author": {
    "email": "user@example.com",
    "first_name": "string",
    "id": 0,
    "last_name": "string"
  },
  "date_created": "2019-08-24T14:15:22Z",
  "date_updated": "2019-08-24T14:15:22Z",
  "id": 0,
  "message": "string"
}